Keyboard stuck with irqbalance

Bug #528720 reported by Lars Ljung on 2010-02-26
98
This bug affects 20 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Nominated for Lucid by David Grigglestone
Nominated for Maverick by David Grigglestone

Bug Description

Binary package hint: irqbalance

Shortly after logging in to the system it stops responding to keyboard and mouse (not even SysRq works). The clock is still being updated and I can access the system through SSH.

Sometimes I'm able to start a terminal window with the mouse. When I then press one single key that character is repeated indefinitely in the terminal window. At the same time the mouse stops responding.

When I disable irqbalance everything works fine. I haven't seen anything odd in the logs (or dmesg) and I don't know how to investigate this further.

The system is a P4 with HT so irqbalance might not be useful anyway, but it shouldn't hang the system.

ProblemType: Bug
Architecture: i386
Date: Fri Feb 26 22:38:31 2010
DistroRelease: Ubuntu 10.04
Package: irqbalance 0.55+20091017-3ubuntu2
ProcEnviron:
 LANGUAGE=sv_SE.UTF-8
 PATH=(custom, no user)
 LANG=sv_SE.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-14.20-generic
SourcePackage: irqbalance
Uname: Linux 2.6.32-14-generic i686

Lars Ljung (larslj) wrote :
Chuck Short (zulcss) wrote :

Which version of irqbalance are you using?

Thanks
chuck

Changed in irqbalance (Ubuntu):
importance: Undecided → Medium
status: New → Incomplete
Lars Ljung (larslj) wrote :

Version 0.55+20091017-3ubuntu2, as noted in the first post ;)

Changed in irqbalance (Ubuntu):
status: Incomplete → New
Ralf Donau (ruelle) wrote :

I can confirm this bug. I also have a P4 and my system was unusable after an upgrade to 10.4. Since I disabled irqbalance by renaming the executable, everything is fine.

Rob Nid (nirobe) wrote :

Same problem here

Lars Ljung (larslj) wrote :

There are two others confirming this bug so I'm changing the status to confirmed.

To disable irqbalance you can edit /etc/default/irqbalance and set ENABLED=0. Also, I think it's safe to just uninstall it.

Changed in irqbalance (Ubuntu):
status: New → Confirmed

Boot from the alternate CD and select "Rescue a Broken System".

Bert Claes (bertmlclaes) wrote :

Thanks, I had the same problem, this worked for me. I removed irqbalance.

I didn't had the problem with Ubuntu 9.10 too, just with Ubuntu 10.4.
I have an Asus P4S800 motherboard.

Anthony Bodle (asusmember) wrote :

I reported the same set of symptoms on Ubuntu 10.04 with bug 586471. Uninstalling irqbalance 0.55+20091017-3ubuntu2 in Synaptic allows me to get past logging on and use the system normally. Thank you.

As I am new to Linux, I could not immediately see how to edit /etc/default/irqbalance which is owned by root, so simply performed the uninstall as I had found sudo.

My mobo is also an Asus P4S800.

bogdanctt (bogdanctt) wrote :

@ Anthony Bodle : go to the terminal type #gksudo nautilus after that type your password and in the window that pops out go to the file in /etc/default/irqbalance and edit that line , after that close the window and the terminal and restart the pc

I had installed Xubuntu 10.04 which had temporarily solved the porblem,
however the bug described here then started to occur in Xubuntu 10.04:
keyboard freezing with a repeating character and frozen mouse at login;
sometimes I'd be able to login but the mouse and keyboard would free.
Editing etc/default/irqbalance so that irqbalance was off (set =0) seems to
have solved the problem.

On Sat, Jun 12, 2010 at 5:05 AM, bogdanctt <email address hidden> wrote:

> @ Anthony Bodle : go to the terminal type #gksudo nautilus after that
> type your password and in the window that pops out go to the file in
> /etc/default/irqbalance and edit that line , after that close the window
> and the terminal and restart the pc
>
> --
> Keyboard stuck with irqbalance
> https://bugs.launchpad.net/bugs/528720
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “irqbalance” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: irqbalance
>
> Shortly after logging in to the system it stops responding to keyboard and
> mouse (not even SysRq works). The clock is still being updated and I can
> access the system through SSH.
>
> Sometimes I'm able to start a terminal window with the mouse. When I then
> press one single key that character is repeated indefinitely in the terminal
> window. At the same time the mouse stops responding.
>
> When I disable irqbalance everything works fine. I haven't seen anything
> odd in the logs (or dmesg) and I don't know how to investigate this further.
>
> The system is a P4 with HT so irqbalance might not be useful anyway, but it
> shouldn't hang the system.
>
> ProblemType: Bug
> Architecture: i386
> Date: Fri Feb 26 22:38:31 2010
> DistroRelease: Ubuntu 10.04
> Package: irqbalance 0.55+20091017-3ubuntu2
> ProcEnviron:
> LANGUAGE=sv_SE.UTF-8
> PATH=(custom, no user)
> LANG=sv_SE.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.32-14.20-generic
> SourcePackage: irqbalance
> Uname: Linux 2.6.32-14-generic i686
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/irqbalance/+bug/528720/+subscribe
>

Riltormor (riltormor) wrote :

I too had a lot of mouse and keyboard freezing. Today I ran: sudo aptitude purge irqbalance
No trouble since. Touch wood. I presume irqbalance was installed and enabled by default on previous versions of Ubuntu. Why has it been so troublesome on Ubuntu 10.04 though?

Narcis Garcia (narcisgarcia) wrote :

- keyboard and/or mouse(*) freezing
- Mouse(*) & keyboard freeze at logon screen

This affected me while upgrading from Ubuntu 9.10 to Ubuntu 10.04, and I don't remember which package was installing at that moment. The only solution I found to complete the upgrade was to [Reset] the computer and [e]dit the GRUB kernel entry to add the "noapic" as an argument following the "splash" one.
Then I needed to run in a terminal:

sudo dpkg --configure -a

This completed the version upgrade, and after I've edited the file /etc/default/grub to change this first line by the second one here shown:

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash noapic"

And applied the change for a permanent effect, and the rebooted:

sudo update-grub2
sudo reboot

(*) Note that, after the "freeze", if you plug an USB mouse, it works.

Chuck Short (zulcss) on 2010-06-28
affects: irqbalance (Ubuntu) → linux (Ubuntu)

none of above solved my problem,

i was using keyboard (PS/2) and mouse (USB)

i had lot problems in typing, for few moments keyboard freezes and also when left idle for lot of time.

Solution i used.
I had been provided with PS2 converter for my mouse, all i did was plugged the USB mouse into PS/2 port with converter, and everything works perfectly fine.

If any one tries this solution, please provide feedback.

L Schmiedl (lutz-schmiedl) wrote :

The same problem on my notebook Dell D830 with a docking station. I installed a fresh Ubuntu 10.04 tree weeks ago. Before I used Ubuntu 9.04 without problems.
Now I randomize get freezes on GDM Login. Both keyboards, internal and PC/2, also the synaptic touchpad and the external mouse are frozen. All other devices seems to be right. I can shut down the system with the power button and reboot. Or I can switch the external mouse and keyboard on a PS2-USB-Converter. After I plug-in this, I can log in and work mit the notebook.
After a reboot the fault is disappeared. Mouses and keyboards on PS/2 and internal devices works fine. The next freeze I get 3 or 4 days after.

In case of fault I found the following entries

[27.681159] input: PS/2 Generic Mouse as /devices/platform/i8042/serio1/input/input14
[27.881028] psmouse.c: Failed to enable mouse on isa0060/serio1

in /var/log/messages.

I tried the next hints I found in different discussions to thies topic, but no result:

1. use option noapi on grub
2. change kernel from 2.6.32-23-generic-pae to 2.6.32-23-generic
3. change compiz to metacity
4. disable KMS
5. install mdetect

foamdino (foamdino) wrote :

Hi,

I upgraded to 10.04 (starting with beta), and I have noticed that my keyboard (ps/2) will either freeze or repeat a key.

This happens every session and I have to reboot (sometimes a hard reset depending on what key is being repeated).

uname -a
Linux ubuntu-dev 2.6.32-24-generic #38-Ubuntu SMP Mon Jul 5 09:20:59 UTC 2010 x86_64 GNU/Linux

I'm on a i7 + P55 motherboard

Never had a problem with 9.04 and core2duo

Let me know if you want any further details - I *really* want to fix this issue (to the point where I'm happy to look through the source code if that's what it takes)

I thought it was related to EHCI handoff (which I've now disabled in the BIOS), but so far no dice - I will try the irqbalance suggestion above and report back if it succeeds

L Schmiedl (lutz-schmiedl) wrote :

Update to entry #16

After a test time about 3 weeks I can say, there no solution for me yet. The next to hints:

5. use option noapi and nolapic on grub
6 disable irqbalance

doesn't solve the problem. I randomize get freezes on GDM Login anymore.

I left the stable Ubuntu 9.04 and I got an unstable Ubuntu 10.04. I use Ubuntu since version
7.04, but this version is a disaster! The developers should invest more time in a clean release
instead of moving buttons on left edge of windows! There are lots of problems in the 10.04,
the 10.10 should be the next steep after removing bugs. Or it is time to leave ubuntu.

@L Schmiedl: This bug report is about irqbalance causing the system to freeze. I recommend that you file a new bug with your configuration to let the developers know that there may be other issues. Thanks!

Anthony Bodle (asusmember) wrote :

Picked up the 2.6.32-24 kernel when updating today - system continues to run without freezes as long as irqbalance disabled, as I reported back in June.

However I then re-enabled irqbalance as an experiment, straight back to the immediate freezes at logon time as in the bug description. Disabled irqbalance again, and all is well.

So the bug is still there, and the workaround is still effective.

Kron K (chawlakaran) wrote :

Yes i would agree with this bug. I am facing it on a desktop. Heard some rumors that it was an Nvidia thing. Could be True since i do have Nvidia...... i m decent with programming but not sure what the syntax for ubuntu is and what source code i would be fixing. If anyone would liek to point me in the irght direction please let me know......

My PC with a Nvidia card works perfectly and is not affected by this bug and my PC without Nvidia card (without any graphics card at all ) is badly affected by this bug to the extent that Ubuntu 10.04 is unusable (some of the programs I would like to run like blender3D freeze as soon as I move the mouse cursor in 3D space).
This problem also affected this PC in Ubuntu 9.10 (when I noticed it for the first time).
I would have to agree with Kron K's comments that this might be a graphics issue. I'm not convinced that this bug is totally a keyboard and mouse issue. Although the PC affected doesn't have graphics card installed it does seem to have a built-in intel type graphics chip with a minimal amount of memory to speed to 3D graphics minimally.
Also the program most badly affected by freezing uses 3D graphics extensively.
When I first installed Ubuntu 10.04 it froze almost immediately on start-up every time but after selecting to boot in safe graphics mode the problem essentially seemed to disappear but I still can't run Blender3D in Ubuntu 10.04 because it still freezes every time.

Kron K (chawlakaran) wrote :

Yea i would agree with Justin Up there.... I have an onboard graphics card only.... i m testing it out by purchasing a graphics card and checking if the problem disappears..... because the ram is prolly bein eaten away to comp for graphics.... makes kinda sense... i ahve tried updating my kernels and everything nothing has beenw orking for me so far ... but illl keep u guys upto date.... w/ hectic college, work and life leaves me very less time for awesome hobbies like ubuntu.....

Kron K (chawlakaran) wrote :

HERE'S HOW TO FIX THE IRQBALANCE

go to the command teminal and copy and paste the command "sudo aptitude purge irqbalance" w/out the "" .... and the follow the promts ......

 this is suppose to fix the problem but im testing to see if the bug returns....

 i guess better to check right now rather than spend money on a new graphics card..... and by the way i have both usb keynoard and mouse when they were freezing so i dont think it has anything to do w analog (ps2) vs usb input devices.

Good LUCK AND PEACE

"To disable irqbalance you can edit /etc/default/irqbalance and set ENABLED=0."

I tried this and I still get a keyboard hang (mouse seems fine).

This has reached PITA severity in my book :-(

Note: I am able to login, but as soon as start keyboard input after that I get a hang within 6 to 10 chars typed. My partial workaround is to type a bunch of junk at the login prompt, then erase that and enter my password .. then things seem to be fine for a while .. can anyone explain that behavior?

Messir Voland (drmouse) wrote :

For me happens the following: I get mouse and keyboard freezes too. I am using a ps2 keyboard and ps2mouse, however, when a freeze happens, I can leave the mouse and keyboard connected but unresponsive, and I can also plug in a usb mouse and usb keyboard and they will work normally.

But also computer keeps to be accesible over remote desktop.

Hello,
This weekend was starting to work on an old p4s800 machine that I was given.

I saw two issues one was have issues with the network card responding (on-board). Was able to we configure and get this working (however the issue appeared that it would partially work the stop).

Next was this issue, most of the time I was seeing the freeze are the login prompt. Started with 10.04.1 Downloaded Dec 18, 2010 I386 desktop version.

Was able to get around this by turning off hyper-threading. I am going to try some of the ideas I found in various places but I believe the issue could be related to the hyper-threading. I hope this info helps.

Owen Llywelyn (owen-llywelyn) wrote :

Keyboard freeze driving me mad for months - tried all sorts of advice on Ubuntu Forums.

Disabling irqbalance solved the problem.

Thanks.

Confirming David Grigglestones experience. Setting ENABLED=0 won't prevent the keyboard from "hanging". The hang seems to be a repeated key press getting stuck.

I bought a new Nvidia card, installed the default Nvidia drivers through synaptic and the "freezing" problem has disappeared. This PC previously had no graphics card except for an onboard built-in intel graphics chip that didn't seem to do very much.

fyi .. in my particular case I have since found the issue is to do with issues with support for the PS2 keyboard port in >= 10.04 and Microsoft Wireless keyboards (see thread http://ubuntuforums.org/showthread.php?t=1546149&page=2) .. by using a PS2 to USB adapter, the issue has been worked around

I figured I should post that workaround here in case a subset of the folks that are having problems may have a similar setup.

I will check if there is already a defect relating to the PS2 keyboard port.

Lars Ljung, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.13-rc4

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Lars Ljung (larslj) wrote :

I haven't kept the hardware where I first saw this issue and I haven't seen it anywhere else. So as far as I'm concerned you can close this bug.

Lars Ljung, this bug report is being closed due to your last comment https://bugs.launchpad.net/ubuntu/+source/linux/+bug/528720/comments/33 regarding you no longer have the hardware. For future reference you can manage the status of your own bugs by clicking on the current status in the yellow line and then choosing a new status in the revealed drop down box. You can learn more about bug statuses at https://wiki.ubuntu.com/Bugs/Status. Thank you again for taking the time to report this bug and helping to make Ubuntu better. Please submit any future bugs you may find.

Changed in linux (Ubuntu):
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers